Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class PropertyKey

    java.lang.Object
      com.compoze.exchange.PropertyKey

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FilterPropertyKey, PropnamePropertyKey, ProptagPropertyKey, SortPropertyKey

public class PropertyKey
extends java.lang.Object
implements java.io.Serializable

This class stores the key for a property. Keys for MAPI properties can be identified with either a property tag (an int) or a property name and property set (two strings). If you know a MAPI property tag you can identify it by creating an instance of `ProptagPropertyKey`. Or, if you know a MAPI property set and name you can identify it by creating an instance of `PropnamePropertyKey`.

See Also:
  Serialized Form

Field Summary
`static PropertyKey` | `ACCOUNT` Key that represents the MAPI property `ACCOUNT`, which is the account.
`static PropertyKey` | `ADDRESS_ENTRY_ADDRESS` Key that represents the Compoze property `AddressEntry.Address`, which is the email address of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_DISPLAY_NAME` Key that represents the Compoze property `AddressEntry.DisplayName`, which is the display name of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_DISPLAY_TYPE` Key that represents the Compoze property `AddressEntry.DisplayType`, which is the display type of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_FILTER_ADDRESS` Key that represents the Compoze property `AddressEntryFilter.Address`, which filters by the address property.
`static PropertyKey` | `ADDRESS_ENTRY_FILTER_DISPLAY_NAME` Key that represents the Compoze property `AddressEntryFilter.DisplayName`, which filters by the display name property.
`static PropertyKey` | `ADDRESS_ENTRY_FILTER_PRIMARY_ACCOUNT` Key that represents the Compoze property `AddressEntryFilter.PrimaryAccount`, which filters by the primary account property (in the form domain\\username).
`static PropertyKey` | `ADDRESS_ENTRY_FILTER_SMTP_EMAIL_ADDRESS` Key that represents the Compoze property `AddressEntryFilter.SmtpEmailAddress`, which filters by the SMTP email address property.
`static PropertyKey` | `ADDRESS_ENTRY_FREE_BUSY` Key that represents the Compoze property `AddressEntry.FreeBusy`, which is the free/busy information for a user.
`static PropertyKey` | `ADDRESS_ENTRY_ID` Key that represents the Compoze property `AddressEntry.ID`, which is the ID of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_MANAGER` Key that represents the Compoze property `AddressEntry.Manager`, which is the manager for this address entry.
`static PropertyKey` | `ADDRESS_ENTRY_MANAGER_NAME` Key that represents the Compoze property `AddressEntry.Manager`, which is the display name of the manager for this address entry.
`static PropertyKey` | `ADDRESS_ENTRY_MEMBERS` Key that represents the Compoze property `AddressEntry.Members`, which is the list of members for a distribution list.
`static PropertyKey` | `ADDRESS_ENTRY_PRIMARY_ACCOUNT` Key that represents the Compoze property `AddressEntry.PrimaryAccount`, which is the primary account of the address entry (in the form `DOMAIN\Username`).
`static PropertyKey` | `ADDRESS_ENTRY_PRIMARY_ACCOUNT_SID` Key that represents the Compoze property `AddressEntry.PrimaryAccountSid`, which is the primary account SID of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_SMTP_EMAIL_ADDRESS` Key that represents the Compoze property `AddressEntry.SmtpEmailAddress`, which is the email address of the address entry.
`static PropertyKey` | `ADDRESS_ENTRY_TYPE` Key that represents the Compoze property `AddressEntry.Type`, which is the type of the address entry.
`static PropertyKey` | `ADDRTYPE` Key that represents the MAPI property `ADDRTYPE`, which is the address type.
`static PropertyKey` | `APPOINTMENT_ALL_DAY_EVENT` Key that represents the Compoze property `Appointment.AllDayEvent`, which flags an appointment as lasting all day.
`static PropertyKey` | `APPOINTMENT_BUSY_STATUS` Key that represents the Compoze property `Appointment.BusyStatus`, which is the busy status of the user for the appointment (free, tentative, busy or out of office).
`static PropertyKey` | `APPOINTMENT_DURATION` Key that represents the Compoze property `Appointment.Duration`, which is the duration for the appointment.
`static PropertyKey` | `APPOINTMENT_END_TIME` Key that represents the Compoze property `Appointment.EndTime`, which is the time that the appointment ends.
`static PropertyKey` | `APPOINTMENT_IS_ORGANIZER` Key that represents the Compoze property `Appointment.IsOrganizer`, which is true if the current user is the organizer of the appointment.
`static PropertyKey` | `APPOINTMENT_IS_RECURRING` Key that represents the Compoze property `Appointment.IsRecurring`, which is a flag that indicates whether or not an appointment recurs.
`static PropertyKey` | `APPOINTMENT_IS_SPANNING` Key that represents the Compoze property `Appointment.IsSpanning`, which flags an appointment as lasting all day.
`static PropertyKey` | `APPOINTMENT_LOCATION` Key that represents the Compoze property `Appointment.Location`, which is the physical location where the appointment occurs.
`static PropertyKey` | `APPOINTMENT_MEETING_RESPONSE_STATUS` Key that represents the Compoze property `Appointment.MeetingResponseStatus`, which is the response of the user to the meeting request.
`static PropertyKey` | `APPOINTMENT_MEETING_STATUS` Key that represents the Compoze property `Appointment.MeetingStatus`, which is the overall meeting status of the appointment.
`static PropertyKey` | `APPOINTMENT_ORGANIZER` Key that represents the Compoze property `Appointment.Organizer`, which is the organizer for the appointment (the user that initiated a meeting from the appointment).
`static PropertyKey` | `APPOINTMENT_RECURRENCE_PATTERN` Key that represents the Compoze property `Appointment.RecurrencePattern`, which is the recurrence parameters for the appointment.
`static PropertyKey` | `APPOINTMENT_REMINDER_MINUTES_BEFORE_START` Key that represents the Compoze property `Appointment.ReminderMinutesBeforeStart`, which is the number of minutes before the start of the appointment to flag a reminder.
`static PropertyKey` | `APPOINTMENT_REMINDER_SET` Key that represents the Compoze property `Appointment.ReminderSet`, which flags if a reminder is set on the appointment.
`static PropertyKey` | `APPOINTMENT_REPLY_TIME` Key that represents the Compoze property `Appointment.ReplyTime`, which is the date and time that the recipient replied to the meeting request associated with the appointment.
`static PropertyKey` | `APPOINTMENT_RESPONSE_REQUESTED` Key that represents the Compoze property `Appointment.ResponseRequested`, which flags whether or not a response is requested for a meeting request that is created for the appointment.
`static PropertyKey` | `APPOINTMENT_SERIES_ID` Key that represents the Compoze property `Appointment.SeriesID`, which is the ID of the series (read-only).
`static PropertyKey` | `APPOINTMENT_START_TIME` Key that represents the Compoze property `Appointment.StartTime`, which is the date and time that the appointment starts.
`static PropertyKey` | `ASSISTANT` Key that represents the MAPI property `ASSISTANT`, which is the assistant.
`static PropertyKey` | `ASSISTANT_TELEPHONE_NUMBER` Key that represents the MAPI property `ASSISTANT_TELEPHONE_NUMBER`, which is the assistant telephone number.
`static PropertyKey` | `ATTACHMENT_CONTENT_ID` Key that represents the MAPI property `PR_ATTACH_CONTENT_ID`, which is content id specifically for inline attachments.
`static PropertyKey` | `ATTACHMENT_CREATION_TIME` Key that represents the MAPI property `PR_CREATION_TIME`, which is the date the attachment was created.
`static PropertyKey` | `ATTACHMENT_DISPLAY_NAME` Key that represents the MAPI property `PR_DISPLAY_NAME`, which is the display name of the attachment.
`static PropertyKey` | `ATTACHMENT_EXTENSION` Key that represents the MAPI property `PR_ATTACH_EXTENSION`, which is the extension of the attachment.
`static PropertyKey` | `ATTACHMENT_INDEX` Key that represents the Compoze Property `Attachment.Index`, which is the index of the attachment.
`static PropertyKey` | `ATTACHMENT_LONG_FILENAME` Key that reprepsents the MAPI property `PR_ATTACH_LONG_FILENAME`, which is the long name of the attachment.
`static PropertyKey` | `ATTACHMENT_MIME_TAG` Key that represents the MAPI property `PR_ATTACH_MIME_TAG`, which is a MIME content type for an inline attachment.
`static PropertyKey` | `ATTACHMENT_NAME` Key that represents the Compoze Property `Attachment.Name`, which is the name of the attachment.
`static PropertyKey` | `ATTACHMENT_POSITION` Key that represents the Compoze Property `Attachment.Position`, which is the position of the attachment in the message.
`static PropertyKey` | `ATTACHMENT_RENDERING_POSITION` Key that represents the MAPI property `PR_RENDERING_POSITION`, which is an RTF inline rendering index.
`static PropertyKey` | `ATTACHMENT_SIZE` Key that represents the MAPI property `PR_ATTACH_SIZE`, which is the actual size in bytes of the attachment.
`static PropertyKey` | `ATTACHMENT_TYPE` Key that represents the Compoze Property `Attachment.Type`, which is the type of attachment.
`static PropertyKey` | `BILLING_INFO` Key that represents the MAPI property `BILLING_INFO`, which is the billing info.
`static PropertyKey` | `BIRTHDAY` Key that represents the MAPI property `BIRTHDAY`, which is the birthday.
`static PropertyKey` | `BUSINESS_ADDRESS_CITY` Key that represents the MAPI property `BUSINESS_ADDRESS_CITY`, which is the business address city.
`static PropertyKey` | `BUSINESS_ADDRESS_COUNTRY` Key that represents the MAPI property `BUSINESS_ADDRESS_COUNTRY`, which is the business address country
`static PropertyKey` | `BUSINESS_ADDRESS_POST_OFFICE_BOX` Key that represents the MAPI property `BUSINESS_ADDRESS_POST_OFFICE_BOX`, which is the business address post office box.
`static PropertyKey` | `BUSINESS_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `BUSINESS_ADDRESS_POSTAL_CODE`, which is the business address postal code.
`static PropertyKey` | `BUSINESS_ADDRESS_STATE_OR_PROVINCE` Key that represents the MAPI property `BUSINESS_ADDRESS_STATE_OR_PROVINCE`, which is the business address state or province.
`static PropertyKey` | `BUSINESS_ADDRESS_STREET` Key that represents the MAPI property `BUSINESS_ADDRESS_STREET`, which is the business address street.
`static PropertyKey` | `BUSINESS_FAX_NUMBER` Key that represents the MAPI property `BUSINESS_FAX_NUMBER`, which is the business fax number.
`static PropertyKey` | `BUSINESS_HOME_PAGE` Key that represents the MAPI property `BUSINESS_HOME_PAGE`, which is the business home page.
`static PropertyKey` | `BUSINESS_TELEPHONE_NUMBER` Key that represents the MAPI property `BUSINESS_TELEPHONE_NUMBER`, which is the business telephone number.
`static PropertyKey` | `BUSINESS2_TELEPHONE_NUMBER` Key that represents the MAPI property `BUSINESS2_TELEPHONE_NUMBER`, which is the business2 telephone number.
`static PropertyKey` | `CALLBACK_TELEPHONE_NUMBER` Key that represents the MAPI property `CALLBACK_TELEPHONE_NUMBER`, which is the callback telephone number.
`static PropertyKey` | `CAR_TELEPHONE_NUMBER` Key that represents the MAPI property `CAR_TELEPHONE_NUMBER`, which is the car telephone number.
`static PropertyKey` | `CHILDREN_NAMES` Key that represents the MAPI property `CHILDREN_NAMES`, which is the children names.
`static PropertyKey` | `COMMENT` Key that represents the MAPI property `COMMENT`, which is a comment for an address entry.
`static PropertyKey` | `COMPANIES` Key that represents the MAPI property `COMPANIES`, which is the companies.
`static PropertyKey` | `COMPANY_MAIN_PHONE_NUMBER` Key that represents the MAPI property `COMPANY_MAIN_PHONE_NUMBER`, which is the company main phone number.
`static PropertyKey` | `COMPANY_NAME` Key that represents the MAPI property `COMPANY_NAME`, which is the company name.
`static PropertyKey` | `COMPUTER_NETWORK_NAME` Key that represents the MAPI property `COMPUTER_NETWORK_NAME`, which is the computer network name.
`static PropertyKey` | `CONTACT_DISTRIBUTION_LIST` Key that represents the Compoze Property `Contact.DistributionList`, which is information about a distribution list.
`static PropertyKey` | `CONTACT_IS_DISTRIBUTION_LIST` Key that represents the Compoze Property `Contact.IsDistributionList`, which is whether a contact is a distribution list.
`static PropertyKey` | `CONTACT_NAMES` Key that represents the MAPI property `CONTACT_NAMES`, which is the contact names.
`static PropertyKey` | `CONTAINER_CLASS` Key that represents the MAPI property `CONTAINER_CLASS`, which indicates the type of a folder.
`static PropertyKey` | `COUNTRY` Key that represents the MAPI property `COUNTRY`, which is the country.
`static PropertyKey` | `DEPARTMENT_NAME` Key that represents the MAPI property `DEPARTMENT_NAME`, which is the department name.
`static PropertyKey` | `DISPLAY_NAME` Key that represents the MAPI property `DISPLAY_NAME`, which is the display name.
`static PropertyKey` | `DISPLAY_NAME_PREFIX` Key that represents the MAPI property `DISPLAY_NAME_PREFIX`, which is the display name prefix.
`static PropertyKey` | `EMAIL_ADDRESS` Key that represents the MAPI property `EMAIL_ADDRESS`, which is the email address.
`static PropertyKey` | `EMAIL1_ADDRESS` Key that represents the MAPI property `EMAIL1_ADDRESS`, which is the email1 address.
`static PropertyKey` | `EMAIL1_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL1_ADDRESS_TYPE`, which is the email1 address type.
`static PropertyKey` | `EMAIL1_DISPLAY_NAME` Key that represents the MAPI property `EMAIL1_DISPLAY_NAME`, which is the email1 display name.
`static PropertyKey` | `EMAIL2_ADDRESS` Key that represents the MAPI property `EMAIL2_ADDRESS`, which is the email2 address.
`static PropertyKey` | `EMAIL2_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL2_ADDRESS_TYPE`, which is the email2 address type.
`static PropertyKey` | `EMAIL2_DISPLAY_NAME` Key that represents the MAPI property `EMAIL2_DISPLAY_NAME`, which is the email2 display name.
`static PropertyKey` | `EMAIL3_ADDRESS` Key that represents the MAPI property `EMAIL3_ADDRESS`, which is the email3 address.
`static PropertyKey` | `EMAIL3_ADDRESS_TYPE` Key that represents the MAPI property `EMAIL3_ADDRESS_TYPE`, which is the email3 address type.
`static PropertyKey` | `EMAIL3_DISPLAY_NAME` Key that represents the MAPI property `EMAIL3_DISPLAY_NAME`, which is the email3 display name.
`static PropertyKey` | `EMS_AB_ASSOC_NT_ACCOUNT` Key that represents the MAPI property `EMS_AB_ASSOC_NT_ACCOUNT`, which is the SID of the primary account for the mailbox.
`static PropertyKey` | `EMS_AB_HOME_MTA` Key that represents the MAPI property `EMS_AB_HOME_MTA`, which is the home server of the user.
`static PropertyKey` | `FILE_AS` Key that represents the MAPI property `FILE_AS`, which is the file as.
`static PropertyKey` | `FLAG_STATUS` Key that represents the MAPI property `FLAG_STATUS`, which is the flag status.
`static PropertyKey` | `FLAG_TEXT` Key that represents the MAPI property `FLAG_TEXT`, which is the flag text.
`static PropertyKey` | `FOLDER_ABSOLUTE_NAME` Key that represents the Compoze property `Folder.AbsoluteName`, which is the absolute name of a folder (including its full path relative to the top of the information store).
`static PropertyKey` | `FOLDER_FOLDERID` Key that represents the Compoze property `Folder.FolderID`, which is the ID of the parent folder.
`static PropertyKey` | `FOLDER_ID` Key that represents the Compoze property `Folder.ID`, which is the ID of a folder.
`static PropertyKey` | `FOLDER_MESSAGE_COUNT` Key that represents the Compoze property `Folder.MessageCount`, which is the total number of messages in the folder.
`static PropertyKey` | `FOLDER_MESSAGE_UNREAD_COUNT` Key that represents the Compoze property `Folder.MessageUnreadCount`, which is the total number of unread messages in the folder.
`static PropertyKey` | `FOLDER_NAME` Key that represents the Compoze property `Folder.Name`, which is the name of a folder.
`static PropertyKey` | `FOLDER_RELATIVE_DEPTH` Key that represents the Compoze property `Folder.RelativeDepth`, which is the relative depth of a folder to the starting point if the query that was made to retrieve it.
`static PropertyKey` | `FOLDER_SUBFOLDER_COUNT` Key that represents the Compoze property `Folder.SubFolderCount`, which is the count of subfolders on a folder.
`static PropertyKey` | `FTP_SITE` Key that represents the MAPI property `FTP_SITE`, which is the Ftp site.
`static PropertyKey` | `GENDER` Key that represents the MAPI property `GENDER`, which is the gender.
`static PropertyKey` | `GENERATION` Key that represents the MAPI property `GENERATION`, which is the generation (or suffix).
`static PropertyKey` | `GIVEN_NAME` Key that represents the MAPI property `GIVEN_NAME`, which is the given name.
`static PropertyKey` | `HOBBIES` Key that represents the MAPI property `HOBBIES`, which is the hobbies.
`static PropertyKey` | `HOME_ADDRESS` Key that represents the MAPI property `HOME_ADDRESS`, which is the home address.
`static PropertyKey` | `HOME_ADDRESS_CITY` Key that represents the MAPI property `HOME_ADDRESS_CITY`, which is the home address city.
`static PropertyKey` | `HOME_ADDRESS_COUNTRY` Key that represents the MAPI property `HOME_ADDRESS_COUNTRY`, which is the home address country.
`static PropertyKey` | `HOME_ADDRESS_POST_OFFICE_BOX` Key that represents the MAPI property `HOME_ADDRESS_POST_OFFICE_BOX`, which is the home address post office box.
`static PropertyKey` | `HOME_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `HOME_ADDRESS_POSTAL_CODE`, which is the home address postal code.
`static PropertyKey` | `HOME_ADDRESS_STATE_OR_PROVINCE` Key that represents the MAPI property `HOME_ADDRESS_STATE_OR_PROVINCE`, which is the home address state or province.
`static PropertyKey` | `HOME_ADDRESS_STREET` Key that represents the MAPI property `HOME_ADDRESS_STREET`, which is the home address street.
`static PropertyKey` | `HOME_FAX_NUMBER` Key that represents the MAPI property `HOME_FAX_NUMBER`, which is the home fax number.
`static PropertyKey` | `HOME_TELEPHONE_NUMBER` Key that represents the MAPI property `HOME_TELEPHONE_NUMBER`, which is the home telephone number.
`static PropertyKey` | `HOME2_TELEPHONE_NUMBER` Key that represents the MAPI property `HOME2_TELEPHONE_NUMBER`, which is the home2 telephone number.
`static PropertyKey` | `IM_ADDRESS` Key that represents the MAPI property `IM_ADDRESS`, which is the IM address.
`static PropertyKey` | `INITIALS` Key that represents the MAPI property `INITIALS`, which is the initials.
`static PropertyKey` | `INTERNET_FREE_BUSY_ADDRESS` Key that represents the MAPI property `INTERNET_FREE_BUSY_ADDRESS`, which is the Internet free/busy address.
`static PropertyKey` | `ISDN_NUMBER` Key that represents the MAPI property `ISDN_NUMBER`, which is the ISDN number.
`static PropertyKey` | `JOURNAL_DURATION` Key that represents the MAPI property `JOURNAL_DURATION`, which is the journal duration.
`static PropertyKey` | `JOURNAL_END_DATE` Key that represents the MAPI property `JOURNAL_END_DATE`, which is the journal end date.
`static PropertyKey` | `JOURNAL_ENTRY` Key that represents the MAPI property `JOURNAL_ENTRY`, which is the journal entry.
`static PropertyKey` | `JOURNAL_ENTRY_TYPE` Key that represents the MAPI property `JOURNAL_ENTRY_TYPE`, which is the journal entry type.
`static PropertyKey` | `JOURNAL_START_DATE` Key that represents the MAPI property `JOURNAL_START_DATE`, which is the journal start date.
`static int` | `KEY_ADDRESS_ENTRY`
`static int` | `KEY_ADDRESS_ENTRY_FILTER`
`static int` | `KEY_ATTACHMENT`
`static int` | `KEY_FOLDER`
`static int` | `KEY_MESSAGE`
`static int` | `KEY_SERVICE`
`static int` | `KEY_SESSION_OPTION`
`static PropertyKey` | `LANGUAGE` Key that represents the MAPI property `LANGUAGE`, which is the language.
`static PropertyKey` | `LOCALITY` Key that represents the MAPI property `LOCALITY`, which is the locality.
`static PropertyKey` | `LOCATION` Key that represents the MAPI property `LOCATION`, which is the location.
`protected static java.util.List` | `m_listKeys`
`static PropertyKey` | `MANAGER_NAME` Deprecated. No longer using CDO value of 0x3A4E001F or 0x3A4E001E since this wasn't being properly retrieved from the store.
`static PropertyKey` | `MESSAGE_ACTION_CODE` Key that represents the MAPI property `ACTION_CODE`, which determines the action taken on a message (reply, forward).
`static PropertyKey` | `MESSAGE_ACTION_DATE` Key that represents the MAPI property `ACTION_DATE`, which determines when a specific action was taken (reply, reply all, forward).
`static PropertyKey` | `MESSAGE_ACTION_FLAG` Key that represents the MAPI property `ACTION_FLAG`, which determines the specific action taken on a message (reply, reply all, forward).
`static PropertyKey` | `MESSAGE_ATTACHMENT_COUNT` Key that represents the Compoze property `Message.AttachmentCount`, which is the number of attachments on the message.
`static PropertyKey` | `MESSAGE_ATTACHMENT_INFO` Key that represents the Compoze property `Message.AttachmentInfo`, which contains detailed information about each of the attachments on a message.
`static PropertyKey` | `MESSAGE_CATEGORIES` Key that represents the Compoze property `Message.Categories`, which contains the categories of a message.
`static PropertyKey` | `MESSAGE_CONVERSATION_INDEX` Key that represents the Compoze property `Message.ConversationIndex`, which contains the conversation index of a message (an index into a conversation, which is a related group of messages).
`static PropertyKey` | `MESSAGE_CONVERSATION_TOPIC` Key that represents the Compoze property `Message.ConversationTopic`, which contains the conversation topic of a message (a description of what conversation is going on).
`static PropertyKey` | `MESSAGE_DELIVERY_RECEIPT` Key that represents the Compoze property `Message.DeliveryReceipt`, which is a flag that indicates if a delivery receipt is requested for a message.
`static PropertyKey` | `MESSAGE_DISPLAY_BCC` Key that represents the 'display bcc' for a message.
`static PropertyKey` | `MESSAGE_DISPLAY_CC` Key that represents the 'display cc' for a message.
`static PropertyKey` | `MESSAGE_DISPLAY_TO` Key that represents the 'display to' for a message.
`static PropertyKey` | `MESSAGE_ENCRYPTED` Key that represents the Compoze property `Message.Encrypted`, which flags a message as encrypted.
`static PropertyKey` | `MESSAGE_FOLDER_NAME` Key that represents the Compoze property `Message.FolderName`, which is the name of the folder the message is in.
`static PropertyKey` | `MESSAGE_FOLDERID` Key that represents the Compoze property `Message.FolderID`, which is the ID of the folder the message is in.
`static PropertyKey` | `MESSAGE_HTML` Key that represents the Property tag for HTML contents on a message.
`static PropertyKey` | `MESSAGE_ID` Key that represents the Compoze property `Message.ID`, which is the ID of the message.
`static PropertyKey` | `MESSAGE_IMPORTANCE` Key that represents the Compoze property `Message.Importance`, which is the importance of the message.
`static PropertyKey` | `MESSAGE_IS_RECIPIENT` Key that represents the Compoze property `Message.IsRecipient`, which is true if the current user is a recipient of the message.
`static PropertyKey` | `MESSAGE_NORMALIZED_SUBJECT` Key that represents the MAPI property tag `0x0E1D001E`, which is the subject of the message.
`static PropertyKey` | `MESSAGE_READ_RECEIPT` Key that represents the Compoze property `Message.ReadReceipt`, which is a flag that indicates if a read receipt is requested for a message.
`static PropertyKey` | `MESSAGE_RECIPIENT_INFO` Key that represents the Compoze property `Message.RecipientInfo`, which contains information about each of the recipients on a message.
`static PropertyKey` | `MESSAGE_RECIPIENT_INFO_OVERVIEW` Key that represents the Compoze property `Message.RecipientInfoOverview`, which contains information about each of the recipients on a message (only gets the recipient index, display name and recipient type).
`static PropertyKey` | `MESSAGE_RTF` Key that represents the Compoze Property `Message.RTF`, which is the RTF body of the message.
`static PropertyKey` | `MESSAGE_SENDER` Key that represents the Compoze property `Message.Sender`, which is the sender of the message.
`static PropertyKey` | `MESSAGE_SENDER_ID` Key that represents the Compoze property `Message.SenderID`, which is the address entry id of the sender of a message.
`static PropertyKey` | `MESSAGE_SENSITIVITY` Key that represents the Compoze property `Message.Sensitivity`, which is the sensitivity of the message.
`static PropertyKey` | `MESSAGE_SENT` Key that represents the Compoze property `Message.Sent`, which is a flag that indicates whether or not Exchange has actually sent the message (meaning that the spooler has finished sending the message to its destination server).
`static PropertyKey` | `MESSAGE_SIGNED` Key that represents the Compoze property `Message.Signed`, which is a flag that indicates whether or not the message was digitally signed, or a signature is requested.
`static PropertyKey` | `MESSAGE_SIZE` Key that represents the Compoze property `Message.Size`, which is the approximate size of a message in bytes, including its body, headers and attachments.
`static PropertyKey` | `MESSAGE_STOREID` Key that represents the Compoze property `Message.StoreID`, which is the ID of the store that the message is in.
`static PropertyKey` | `MESSAGE_SUBJECT` Key that represents the Compoze property `Message.Subject`, which is the subject of the message.
`static PropertyKey` | `MESSAGE_SUBMITTED` Key that represents the Compoze property `Message.Submitted`, which represents the submitted status of the message.
`static PropertyKey` | `MESSAGE_TEXT` Key that represents the Compoze property `Message.Text`, which is the plain text body of the message.
`static PropertyKey` | `MESSAGE_TIME_CREATED` Key that represents the Compoze property `Message.TimeCreated`, which is the time that the message was created.
`static PropertyKey` | `MESSAGE_TIME_EXPIRED` Key that represents the Compoze property `Message.TimeExpired`, which is the time that the message expires and may safely be deleted.
`static PropertyKey` | `MESSAGE_TIME_LAST_MODIFIED` Key that represents the Compoze property `Message.TimeLastModified`, which is the time that the message was last modified.
`static PropertyKey` | `MESSAGE_TIME_RECEIVED` Key that represents the Compoze property `Message.TimeReceived`, which is the time that the message was received.
`static PropertyKey` | `MESSAGE_TIME_SENT` Key that represents the Compoze property `Message.TimeSent`, which is the time that the message was sent by Exchange.
`static PropertyKey` | `MESSAGE_TYPE` Key that represents the Compoze property `Message.Type`, which is the type of the message (for example, `IPM.Note`, `IPM.Appointment` or `IPM.Schedule.Meeting.Request`).
`static PropertyKey` | `MESSAGE_UNREAD` Key that represents the Compoze property `Message.Unread`, which flags if a message has not been read.
`static PropertyKey` | `MHS_COMMON_NAME` Key that represents the MAPI property `MHS_COMMON_NAME`, which is the Exchange alias.
`static PropertyKey` | `MIDDLE_NAME` Key that represents the MAPI property `MIDDLE_NAME`, which is the middle name.
`static PropertyKey` | `MILEAGE` Key that represents the MAPI property `MILEAGE`, which is the mileage.
`static PropertyKey` | `MOBILE_TELEPHONE_NUMBER` Key that represents the MAPI property `MOBILE_TELEPHONE_NUMBER`, which is the mobile telephone number.
`static PropertyKey` | `NICKNAME` Key that represents the MAPI property `NICKNAME`, which is the nickname.
`static PropertyKey` | `OFFICE_LOCATION` Key that represents the MAPI property `OFFICE_LOCATION`, which is the office location.
`static PropertyKey` | `ORIGINAL_SUBJECT` Key that represents the MAPI property `ORIGINAL_SUBJECT`, which is the original subject.
`static PropertyKey` | `OTHER_ADDRESS_CITY` Key that represents the MAPI property `OTHER_ADDRESS_CITY`, which is the other address city.
`static PropertyKey` | `OTHER_ADDRESS_COUNTRY` Key that represents the MAPI property `OTHER_ADDRESS_COUNTRY`, which is the other address country.
`static PropertyKey` | `OTHER_ADDRESS_POST_OFFICE_BOX` Key that represents the MAPI property `OTHER_ADDRESS_POST_OFFICE_BOX`, which is the other address post office box.
`static PropertyKey` | `OTHER_ADDRESS_POSTAL_CODE` Key that represents the MAPI property `OTHER_ADDRESS_POSTAL_CODE`, which is the other address postal code.
`static PropertyKey` | `OTHER_ADDRESS_STATE_OR_PROVINCE` Key that represents the MAPI property `OTHER_ADDRESS_STATE_OR_PROVINCE`, which is the other address state or province.
`static PropertyKey` | `OTHER_ADDRESS_STREET` Key that represents the MAPI property `OTHER_ADDRESS_STREET`, which is the other address street.
`static PropertyKey` | `OTHER_TELEPHONE_NUMBER` Key that represents the MAPI property `OTHER_TELEPHONE_NUMBER`, which is the other telephone number.
`static PropertyKey` | `PAGER_TELEPHONE_NUMBER` Key that represents the MAPI property `PAGER_TELEPHONE_NUMBER`, which is the pager telephone number.
`static PropertyKey` | `PERSONAL_HOME_PAGE` Key that represents the MAPI property `PERSONAL_HOME_PAGE`, which is the business home page.
`static PropertyKey` | `POSTAL_CODE` Key that represents the MAPI property `POSTAL_CODE`, which is the postal code.
`static PropertyKey` | `PRIMARY_FAX_NUMBER` Key that represents the MAPI property `PRIMARY_FAX_NUMBER`, which is the primary fax number.
`static PropertyKey` | `PRIMARY_TELEPHONE_NUMBER` Key that represents the MAPI property `PRIMARY_TELEPHONE_NUMBER`, which is the primary telephone number.
`static PropertyKey` | `PROFESSION` Key that represents the MAPI property `PROFESSION`, which is the profession.
`static PropertyKey` | `RADIO_TELEPHONE_NUMBER` Key that represents the MAPI property `RADIO_TELEPHONE_NUMBER`, which is the radio telephone number.
`static PropertyKey` | `REFERRED_BY_NAME` Key that represents the MAPI property `REFERRED_BY_NAME`, which is the referred by name.
`static PropertyKey` | `SELECTED_MAILING_ADDRESS` Key that represents the MAPI property `SELECTED_MAILING_ADDRESS`, which is the selected mailing address.
`static PropertyKey` | `SENT_REPRESENTING_NAME` Key that represents the MAPI property `SENT_REPRESENTING_NAME`, which is the true display name of the sender.
`static PropertyKey` | `SERVICE_ATTACHMENT_DIRECTORY` Key that represents the Compoze Property `Service.AttachmentDirectory`.
`static PropertyKey` | `SERVICE_CLIENT_VERSION_CHECK` Key that represents the Compoze Property `Service.ClientVersionCheck`.
`static PropertyKey` | `SERVICE_DEFAULT_FOLDER_MASK` Key that represents the Compoze Property `Service.DefaultFolderMask`.
`static PropertyKey` | `SERVICE_GAL_DOMAIN` Key that represents the Compoze Property `Service.GalDomain`.
`static PropertyKey` | `SERVICE_GAL_MAILBOX` Key that represents the Compoze Property `Service.GalMailbox`.
`static PropertyKey` | `SERVICE_GAL_PASSWORD` Key that represents the Compoze Property `Service.GalPassword`.
`static PropertyKey` | `SERVICE_GAL_SERVER` Key that represents the Compoze Property `Service.GalServer`.
`static PropertyKey` | `SERVICE_GAL_USERNAME` Key that represents the Compoze Property `Service.GalUsername`.
`static PropertyKey` | `SERVICE_LICENSEE` Key that represents the Compoze Property `Service.Licensee`.
`static PropertyKey` | `SERVICE_LOG_COM_ERRORS` Key that represents the Compoze Property `Service.LogComErrors`.
`static PropertyKey` | `SERVICE_LOG_LEVEL` Key that represents the Compoze Property `Service.LogLevel`.
`static PropertyKey` | `SERVICE_LOGON_TYPE` Key that represents the Compoze Property `Service.LogonType`.
`static PropertyKey` | `SERVICE_PRODUCTION_KEY` Key that represents the Compoze Property `Service.ProductionKey`.
`static PropertyKey` | `SERVICE_PROFILING_ENABLED` Key that represents the Compoze Property `Service.ProfilingEnabled`.
`static PropertyKey` | `SERVICE_SESSION_TIMEOUT_SECS` Key that represents the Compoze Property `Service.SessionTimeoutSecs`.
`static PropertyKey` | `SERVICE_SOAP_MAX_POST_SIZE` Key that represents the Compoze Property `Service.SoapMaxPostSize`.
`static PropertyKey` | `SERVICE_SOAP_NO_NAGLING` Key that represents the Compoze Property `Service.SoapNoNagling`.
`static PropertyKey` | `SERVICE_SOAP_NUM_THREADS` Key that represents the Compoze Property `Service.SoapNumThreads`.
`static PropertyKey` | `SERVICE_SOAP_OBJ_CACHED_PER_THREAD` Key that represents the Compoze Property `Service.SoapObjCachedPerThread`.
`static PropertyKey` | `SERVICE_TERMINATE_HOURS` Key that represents the Compoze Property `Service.TerminateHours`.
`static PropertyKey` | `SERVICE_TERMINATE_MAX_SESSIONS` Key that represents the Compoze Property `Service.TerminateMaxSessions`.
`static PropertyKey` | `SESSION_OPTION_BUSINESS_DAY_END_TIME` Key that represents the Compoze Property `SessionOption.BusinessDayEndTime`, which is the end of the business day for the user.
`static PropertyKey` | `SESSION_OPTION_BUSINESS_DAY_START_TIME` Key that represents the Compoze Property `SessionOption.BusinessDayStartTime`, which is the start of the business day for the user.
`static PropertyKey` | `SESSION_OPTION_CALENDAR_STORE` Key that represents the Compoze Property `SessionOption.CalendarStore`, which is the current calendar store, typically Outlook.
`static PropertyKey` | `SESSION_OPTION_EXCHANGE55` Key that represents the Compoze Property `SessionOption.Exchange55`, which is a boolean value indicating if the Exchange server is Exchange 5.5.
`static PropertyKey` | `SESSION_OPTION_FIRST_DAY_OF_WEEK` Key that represents the Compoze Property `SessionOption.FirstDayOfWeek`, which is the first day of the week for the user, typically Sunday.
`static PropertyKey` | `SESSION_OPTION_IS_24_HOUR_CLOCK` Key that represents the Compoze Property `SessionOption.Is24HourClock`, which sets whether or not the 24 hour clock should be used.
`static PropertyKey` | `SESSION_OPTION_TIME_ZONE` Key that represents the Compoze Property `SessionOption.TimeZone`, which sets the time zone of the session.
`static PropertyKey` | `SESSION_OPTION_WORKING_DAYS` Key that represents the Compoze Property `SessionOption.WorkingDays`, which sets the days of the week that are designated as working days for the user.
`static PropertyKey` | `SPOUSE_NAME` Key that represents the MAPI property `SPOUSE_NAME`, which is the spouse name.
`static PropertyKey` | `STATE_OR_PROVINCE` Key that represents the MAPI property `STATE_OR_PROVINCE`, which is the state or province.
`static PropertyKey` | `STREET_ADDRESS` Key that represents the MAPI property `STREET_ADDRESS`, which is the street address.
`static PropertyKey` | `SURNAME` Key that represents the MAPI property `SURNAME`, which is the surname.
`static PropertyKey` | `TASK_ACTUAL_WORK` Key that represents the MAPI property `TASK_ACTUAL_WORK`, which is the task actual work.
`static PropertyKey` | `TASK_COMPLETE` Key that represents the MAPI property `TASK_COMPLETE`, which is the task complete.
`static PropertyKey` | `TASK_DATE_COMPLETED` Key that represents the MAPI property `TASK_DATE_COMPLETED`, which is the task date completed.
`static PropertyKey` | `TASK_DUE_DATE` Key that represents the MAPI property `TASK_DUE_DATE`, which is the task due date.
`static PropertyKey` | `TASK_DURATION` Key that represents the MAPI property `TASK_DURATION`, which is the task duration.
`static PropertyKey` | `TASK_FLAG_DUE_BY` Key that represents the MAPI property `TASK_FLAG_DUE_BY`, which is the date used by Microsoft Outlook to display reminders.
`static PropertyKey` | `TASK_IS_RECURRING` Key that represents the MAPI property `TASK_IS_RECURRING`, which is a flag that indicates if a task is recurring or not.
`static PropertyKey` | `TASK_IS_TEAM_TASK` Key that represents the MAPI property `TEAM_TASK`, which specifies if this task has been delegated to at least 2 recipients.
`static PropertyKey` | `TASK_PERCENT_COMPLETE` Key that represents the MAPI property `TASK_PERCENT_COMPLETE`, which is the task percent complete.
`static PropertyKey` | `TASK_RECURRENCE_PATTERN` Key that represents the MAPI property `TASK_RECURRENCE_PATTERN`, which is the recurrence pattern for a task
`static PropertyKey` | `TASK_REMINDER_DATE` Key that represents the MAPI property `TASK_REMINDER_DATE`, which is a date representing the task reminder date.
`static PropertyKey` | `TASK_REMINDER_SET` Key that represents the MAPI property `TASK_REMINDER_SET`, which is a boolean representing if the task has a reminder.
`static PropertyKey` | `TASK_START_DATE` Key that represents the MAPI property `TASK_START_DATE`, which is the task start date.
`static PropertyKey` | `TASK_STATUS` Key that represents the MAPI property `TASK_STATUS`, which is the task status.
`static PropertyKey` | `TASK_TOTAL_WORK` Key that represents the MAPI property `TASK_TOTAL_WORK`, which is the task total work.
`static PropertyKey` | `TELEX_NUMBER` Key that represents the MAPI property `TELEX_NUMBER`, which is the telex number.
`static PropertyKey` | `TITLE` Key that represents the MAPI property `TITLE`, which is the title.
`static PropertyKey` | `TTYTDD_PHONE_NUMBER` Key that represents the MAPI property `TTYTDD_PHONE_NUMBER`, which is the TTYTDD phone number.
`static PropertyKey` | `USER_FIELD_1` Key that represents the MAPI property `USER_FIELD_1`, which is the user field 1.
`static PropertyKey` | `USER_FIELD_2` Key that represents the MAPI property `USER_FIELD_2`, which is the user field 2.
`static PropertyKey` | `USER_FIELD_3` Key that represents the MAPI property `USER_FIELD_3`, which is the user field 3.
`static PropertyKey` | `USER_FIELD_4` Key that represents the MAPI property `USER_FIELD_4`, which is the user field 4.
`static int` | `VALUE_ARRAY`
`static int` | `VALUE_BLOB`
`static int` | `VALUE_BOOLEAN`
`static int` | `VALUE_DATE`
`static int` | `VALUE_DOUBLE`
`static int` | `VALUE_EMPTY`
`static int` | `VALUE_INTEGER`
`static int` | `VALUE_LONG`
`static int` | `VALUE_STRING`
`static int` | `VALUE_UNKNOWN`
`static PropertyKey` | `WEDDING_ANNIVERSARY` Key that represents the MAPI property `WEDDING_ANNIVERSARY`, which is the wedding anniversary.

Constructor Summary
`protected` | `PropertyKey(java.lang.String sKey, int iValueType, int iKeyType, java.lang.Class classValue)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Equals.
`java.lang.String` | `getKey()` Gets the key of the property.
`int` | `getKeyType()` Gets the type of a key for the property.
`static java.util.List` | `getList()` Return the list of property keys
`java.lang.Class` | `getValueClass()` Return the list of property keys
`int` | `getValueType()` Gets the type of a value for the property.
`int` | `hashCode()` Gets a hash code for the key.
`boolean` | `isArray()` Returns true if the value type of the property is an array.
`protected void` | `setKey(java.lang.String sKey)` Sets the key of the property.
`java.lang.String` | `toString()` Creates a string representation of the key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_listKeys

    protected static java.util.List m_listKeys

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

See Also:
  Constant Field Values

### VALUE_ARRAY

    public static final int VALUE_ARRAY

See Also:
  Constant Field Values

### VALUE_BOOLEAN

    public static final int VALUE_BOOLEAN

See Also:
  Constant Field Values

### VALUE_DATE

    public static final int VALUE_DATE

See Also:
  Constant Field Values

### VALUE_DOUBLE

    public static final int VALUE_DOUBLE

See Also:
  Constant Field Values

### VALUE_EMPTY

    public static final int VALUE_EMPTY

See Also:
  Constant Field Values

### VALUE_INTEGER

    public static final int VALUE_INTEGER

See Also:
  Constant Field Values

### VALUE_LONG

    public static final int VALUE_LONG

See Also:
  Constant Field Values

### VALUE_STRING

    public static final int VALUE_STRING

See Also:
  Constant Field Values

### VALUE_BLOB

    public static final int VALUE_BLOB

See Also:
  Constant Field Values

### KEY_FOLDER

    public static final int KEY_FOLDER

See Also:
  Constant Field Values

### KEY_MESSAGE

    public static final int KEY_MESSAGE

See Also:
  Constant Field Values

### KEY_ADDRESS_ENTRY

    public static final int KEY_ADDRESS_ENTRY

See Also:
  Constant Field Values

### KEY_SERVICE

    public static final int KEY_SERVICE

See Also:
  Constant Field Values

### KEY_SESSION_OPTION

    public static final int KEY_SESSION_OPTION

See Also:
  Constant Field Values

### KEY_ADDRESS_ENTRY_FILTER

    public static final int KEY_ADDRESS_ENTRY_FILTER

See Also:
  Constant Field Values

### KEY_ATTACHMENT

    public static final int KEY_ATTACHMENT

See Also:
  Constant Field Values

### CONTAINER_CLASS

    public static final PropertyKey CONTAINER_CLASS

  Key that represents the MAPI property `CONTAINER_CLASS`, which indicates the type of a folder.

  See Also:
    `Folder.getFolderType()`

### BUSINESS_HOME_PAGE

    public static final PropertyKey BUSINESS_HOME_PAGE

  Key that represents the MAPI property `BUSINESS_HOME_PAGE`, which is the business home page.

### PERSONAL_HOME_PAGE

    public static final PropertyKey PERSONAL_HOME_PAGE

  Key that represents the MAPI property `PERSONAL_HOME_PAGE`, which is the business home page.

### GIVEN_NAME

    public static final PropertyKey GIVEN_NAME

  Key that represents the MAPI property `GIVEN_NAME`, which is the given name.

### MIDDLE_NAME

    public static final PropertyKey MIDDLE_NAME

  Key that represents the MAPI property `MIDDLE_NAME`, which is the middle name.

### SURNAME

    public static final PropertyKey SURNAME

  Key that represents the MAPI property `SURNAME`, which is the surname.

### GENERATION

    public static final PropertyKey GENERATION

  Key that represents the MAPI property `GENERATION`, which is the generation (or suffix).

### CALLBACK_TELEPHONE_NUMBER

    public static final PropertyKey CALLBACK_TELEPHONE_NUMBER

  Key that represents the MAPI property `CALLBACK_TELEPHONE_NUMBER`, which is the callback telephone number.

### CAR_TELEPHONE_NUMBER

    public static final PropertyKey CAR_TELEPHONE_NUMBER

  Key that represents the MAPI property `CAR_TELEPHONE_NUMBER`, which is the car telephone number.

### BUSINESS_FAX_NUMBER

    public static final PropertyKey BUSINESS_FAX_NUMBER

  Key that represents the MAPI property `BUSINESS_FAX_NUMBER`, which is the business fax number.

### ASSISTANT_TELEPHONE_NUMBER

    public static final PropertyKey ASSISTANT_TELEPHONE_NUMBER

  Key that represents the MAPI property `ASSISTANT_TELEPHONE_NUMBER`, which is the assistant telephone number.

### BUSINESS_TELEPHONE_NUMBER

    public static final PropertyKey BUSINESS_TELEPHONE_NUMBER

  Key that represents the MAPI property `BUSINESS_TELEPHONE_NUMBER`, which is the business telephone number.

### COMPANY_MAIN_PHONE_NUMBER

    public static final PropertyKey COMPANY_MAIN_PHONE_NUMBER

  Key that represents the MAPI property `COMPANY_MAIN_PHONE_NUMBER`, which is the company main phone number.

### BUSINESS2_TELEPHONE_NUMBER

    public static final PropertyKey BUSINESS2_TELEPHONE_NUMBER

  Key that represents the MAPI property `BUSINESS2_TELEPHONE_NUMBER`, which is the business2 telephone number.

### COMPANY_NAME

    public static final PropertyKey COMPANY_NAME

  Key that represents the MAPI property `COMPANY_NAME`, which is the company name.

### COUNTRY

    public static final PropertyKey COUNTRY

  Key that represents the MAPI property `COUNTRY`, which is the country.

### DEPARTMENT_NAME

    public static final PropertyKey DEPARTMENT_NAME

  Key that represents the MAPI property `DEPARTMENT_NAME`, which is the department name.

### MANAGER_NAME

    public static final PropertyKey MANAGER_NAME

  Deprecated. No longer using CDO value of 0x3A4E001F or 0x3A4E001E since this wasn't being properly retrieved from the store.

  Key that represents the MAPI property `MANAGER_NAME`, which is the manager name.

### OFFICE_LOCATION

    public static final PropertyKey OFFICE_LOCATION

  Key that represents the MAPI property `OFFICE_LOCATION`, which is the office location.

### LOCATION

    public static final PropertyKey LOCATION

  Key that represents the MAPI property `LOCATION`, which is the location.

### REFERRED_BY_NAME

    public static final PropertyKey REFERRED_BY_NAME

  Key that represents the MAPI property `REFERRED_BY_NAME`, which is the referred by name.

### ASSISTANT

    public static final PropertyKey ASSISTANT

  Key that represents the MAPI property `ASSISTANT`, which is the assistant.

### PROFESSION

    public static final PropertyKey PROFESSION

  Key that represents the MAPI property `PROFESSION`, which is the profession.

### NICKNAME

    public static final PropertyKey NICKNAME

  Key that represents the MAPI property `NICKNAME`, which is the nickname.

### SPOUSE_NAME

    public static final PropertyKey SPOUSE_NAME

  Key that represents the MAPI property `SPOUSE_NAME`, which is the spouse name.

### ACCOUNT

    public static final PropertyKey ACCOUNT

  Key that represents the MAPI property `ACCOUNT`, which is the account.

### GENDER

    public static final PropertyKey GENDER

  Key that represents the MAPI property `GENDER`, which is the gender.

### ORIGINAL_SUBJECT

    public static final PropertyKey ORIGINAL_SUBJECT

  Key that represents the MAPI property `ORIGINAL_SUBJECT`, which is the original subject.

### COMPUTER_NETWORK_NAME

    public static final PropertyKey COMPUTER_NETWORK_NAME

  Key that represents the MAPI property `COMPUTER_NETWORK_NAME`, which is the computer network name.

### HOBBIES

    public static final PropertyKey HOBBIES

  Key that represents the MAPI property `HOBBIES`, which is the hobbies.

### LANGUAGE

    public static final PropertyKey LANGUAGE

  Key that represents the MAPI property `LANGUAGE`, which is the language.

### DISPLAY_NAME

    public static final PropertyKey DISPLAY_NAME

  Key that represents the MAPI property `DISPLAY_NAME`, which is the display name.

### HOME_FAX_NUMBER

    public static final PropertyKey HOME_FAX_NUMBER

  Key that represents the MAPI property `HOME_FAX_NUMBER`, which is the home fax number.

### ISDN_NUMBER

    public static final PropertyKey ISDN_NUMBER

  Key that represents the MAPI property `ISDN_NUMBER`, which is the ISDN number.

### HOME_TELEPHONE_NUMBER

    public static final PropertyKey HOME_TELEPHONE_NUMBER

  Key that represents the MAPI property `HOME_TELEPHONE_NUMBER`, which is the home telephone number.

### HOME2_TELEPHONE_NUMBER

    public static final PropertyKey HOME2_TELEPHONE_NUMBER

  Key that represents the MAPI property `HOME2_TELEPHONE_NUMBER`, which is the home2 telephone number.

### INITIALS

    public static final PropertyKey INITIALS

  Key that represents the MAPI property `INITIALS`, which is the initials.

### FTP_SITE

    public static final PropertyKey FTP_SITE

  Key that represents the MAPI property `FTP_SITE`, which is the Ftp site.

### MOBILE_TELEPHONE_NUMBER

    public static final PropertyKey MOBILE_TELEPHONE_NUMBER

  Key that represents the MAPI property `MOBILE_TELEPHONE_NUMBER`, which is the mobile telephone number.

### LOCALITY

    public static final PropertyKey LOCALITY

  Key that represents the MAPI property `LOCALITY`, which is the locality.

### OTHER_TELEPHONE_NUMBER

    public static final PropertyKey OTHER_TELEPHONE_NUMBER

  Key that represents the MAPI property `OTHER_TELEPHONE_NUMBER`, which is the other telephone number.

### PAGER_TELEPHONE_NUMBER

    public static final PropertyKey PAGER_TELEPHONE_NUMBER

  Key that represents the MAPI property `PAGER_TELEPHONE_NUMBER`, which is the pager telephone number.

### POSTAL_CODE

    public static final PropertyKey POSTAL_CODE

  Key that represents the MAPI property `POSTAL_CODE`, which is the postal code.

### PRIMARY_TELEPHONE_NUMBER

    public static final PropertyKey PRIMARY_TELEPHONE_NUMBER

  Key that represents the MAPI property `PRIMARY_TELEPHONE_NUMBER`, which is the primary telephone number.

### PRIMARY_FAX_NUMBER

    public static final PropertyKey PRIMARY_FAX_NUMBER

  Key that represents the MAPI property `PRIMARY_FAX_NUMBER`, which is the primary fax number.

### RADIO_TELEPHONE_NUMBER

    public static final PropertyKey RADIO_TELEPHONE_NUMBER

  Key that represents the MAPI property `RADIO_TELEPHONE_NUMBER`, which is the radio telephone number.

### TELEX_NUMBER

    public static final PropertyKey TELEX_NUMBER

  Key that represents the MAPI property `TELEX_NUMBER`, which is the telex number.

### TTYTDD_PHONE_NUMBER

    public static final PropertyKey TTYTDD_PHONE_NUMBER

  Key that represents the MAPI property `TTYTDD_PHONE_NUMBER`, which is the TTYTDD phone number.

### STATE_OR_PROVINCE

    public static final PropertyKey STATE_OR_PROVINCE

  Key that represents the MAPI property `STATE_OR_PROVINCE`, which is the state or province.

### STREET_ADDRESS

    public static final PropertyKey STREET_ADDRESS

  Key that represents the MAPI property `STREET_ADDRESS`, which is the street address.

### HOME_ADDRESS_CITY

    public static final PropertyKey HOME_ADDRESS_CITY

  Key that represents the MAPI property `HOME_ADDRESS_CITY`, which is the home address city.

### HOME_ADDRESS_STREET

    public static final PropertyKey HOME_ADDRESS_STREET

  Key that represents the MAPI property `HOME_ADDRESS_STREET`, which is the home address street.

### HOME_ADDRESS_STATE_OR_PROVINCE

    public static final PropertyKey HOME_ADDRESS_STATE_OR_PROVINCE

  Key that represents the MAPI property `HOME_ADDRESS_STATE_OR_PROVINCE`, which is the home address state or province.

### HOME_ADDRESS_COUNTRY

    public static final PropertyKey HOME_ADDRESS_COUNTRY

  Key that represents the MAPI property `HOME_ADDRESS_COUNTRY`, which is the home address country.

### HOME_ADDRESS_POST_OFFICE_BOX

    public static final PropertyKey HOME_ADDRESS_POST_OFFICE_BOX

  Key that represents the MAPI property `HOME_ADDRESS_POST_OFFICE_BOX`, which is the home address post office box.

### HOME_ADDRESS_POSTAL_CODE

    public static final PropertyKey HOME_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `HOME_ADDRESS_POSTAL_CODE`, which is the home address postal code.

### OTHER_ADDRESS_CITY

    public static final PropertyKey OTHER_ADDRESS_CITY

  Key that represents the MAPI property `OTHER_ADDRESS_CITY`, which is the other address city.

### OTHER_ADDRESS_STREET

    public static final PropertyKey OTHER_ADDRESS_STREET

  Key that represents the MAPI property `OTHER_ADDRESS_STREET`, which is the other address street.

### OTHER_ADDRESS_STATE_OR_PROVINCE

    public static final PropertyKey OTHER_ADDRESS_STATE_OR_PROVINCE

  Key that represents the MAPI property `OTHER_ADDRESS_STATE_OR_PROVINCE`, which is the other address state or province.

### OTHER_ADDRESS_COUNTRY

    public static final PropertyKey OTHER_ADDRESS_COUNTRY

  Key that represents the MAPI property `OTHER_ADDRESS_COUNTRY`, which is the other address country.

### OTHER_ADDRESS_POST_OFFICE_BOX

    public static final PropertyKey OTHER_ADDRESS_POST_OFFICE_BOX

  Key that represents the MAPI property `OTHER_ADDRESS_POST_OFFICE_BOX`, which is the other address post office box.

### OTHER_ADDRESS_POSTAL_CODE

    public static final PropertyKey OTHER_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `OTHER_ADDRESS_POSTAL_CODE`, which is the other address postal code.

### SENT_REPRESENTING_NAME

    public static final PropertyKey SENT_REPRESENTING_NAME

  Key that represents the MAPI property `SENT_REPRESENTING_NAME`, which is the true display name of the sender.

### BUSINESS_ADDRESS_CITY

    public static final PropertyKey BUSINESS_ADDRESS_CITY

  Key that represents the MAPI property `BUSINESS_ADDRESS_CITY`, which is the business address city.

### BUSINESS_ADDRESS_STREET

    public static final PropertyKey BUSINESS_ADDRESS_STREET

  Key that represents the MAPI property `BUSINESS_ADDRESS_STREET`, which is the business address street.

### BUSINESS_ADDRESS_STATE_OR_PROVINCE

    public static final PropertyKey BUSINESS_ADDRESS_STATE_OR_PROVINCE

  Key that represents the MAPI property `BUSINESS_ADDRESS_STATE_OR_PROVINCE`, which is the business address state or province.

### BUSINESS_ADDRESS_COUNTRY

    public static final PropertyKey BUSINESS_ADDRESS_COUNTRY

  Key that represents the MAPI property `BUSINESS_ADDRESS_COUNTRY`, which is the business address country

### BUSINESS_ADDRESS_POST_OFFICE_BOX

    public static final PropertyKey BUSINESS_ADDRESS_POST_OFFICE_BOX

  Key that represents the MAPI property `BUSINESS_ADDRESS_POST_OFFICE_BOX`, which is the business address post office box.

### BUSINESS_ADDRESS_POSTAL_CODE

    public static final PropertyKey BUSINESS_ADDRESS_POSTAL_CODE

  Key that represents the MAPI property `BUSINESS_ADDRESS_POSTAL_CODE`, which is the business address postal code.

### TITLE

    public static final PropertyKey TITLE

  Key that represents the MAPI property `TITLE`, which is the title.

### EMAIL_ADDRESS

    public static final PropertyKey EMAIL_ADDRESS

  Key that represents the MAPI property `EMAIL_ADDRESS`, which is the email address.

### ADDRTYPE

    public static final PropertyKey ADDRTYPE

  Key that represents the MAPI property `ADDRTYPE`, which is the address type.

### CHILDREN_NAMES

    public static final PropertyKey CHILDREN_NAMES

  Key that represents the MAPI property `CHILDREN_NAMES`, which is the children names.

### BIRTHDAY

    public static final PropertyKey BIRTHDAY

  Key that represents the MAPI property `BIRTHDAY`, which is the birthday.

### WEDDING_ANNIVERSARY

    public static final PropertyKey WEDDING_ANNIVERSARY

  Key that represents the MAPI property `WEDDING_ANNIVERSARY`, which is the wedding anniversary.

### DISPLAY_NAME_PREFIX

    public static final PropertyKey DISPLAY_NAME_PREFIX

  Key that represents the MAPI property `DISPLAY_NAME_PREFIX`, which is the display name prefix.

### CONTACT_NAMES

    public static final PropertyKey CONTACT_NAMES

  Key that represents the MAPI property `CONTACT_NAMES`, which is the contact names.

### COMPANIES

    public static final PropertyKey COMPANIES

  Key that represents the MAPI property `COMPANIES`, which is the companies.

### CONTACT_IS_DISTRIBUTION_LIST

    public static final PropertyKey CONTACT_IS_DISTRIBUTION_LIST

  Key that represents the Compoze Property `Contact.IsDistributionList`, which is whether a contact is a distribution list.

### CONTACT_DISTRIBUTION_LIST

    public static final PropertyKey CONTACT_DISTRIBUTION_LIST

  Key that represents the Compoze Property `Contact.DistributionList`, which is information about a distribution list.

### JOURNAL_ENTRY_TYPE

    public static final PropertyKey JOURNAL_ENTRY_TYPE

  Key that represents the MAPI property `JOURNAL_ENTRY_TYPE`, which is the journal entry type.

### JOURNAL_ENTRY

    public static final PropertyKey JOURNAL_ENTRY

  Key that represents the MAPI property `JOURNAL_ENTRY`, which is the journal entry.

### JOURNAL_START_DATE

    public static final PropertyKey JOURNAL_START_DATE

  Key that represents the MAPI property `JOURNAL_START_DATE`, which is the journal start date.

### JOURNAL_END_DATE

    public static final PropertyKey JOURNAL_END_DATE

  Key that represents the MAPI property `JOURNAL_END_DATE`, which is the journal end date.

### JOURNAL_DURATION

    public static final PropertyKey JOURNAL_DURATION

  Key that represents the MAPI property `JOURNAL_DURATION`, which is the journal duration.

### FLAG_STATUS

    public static final PropertyKey FLAG_STATUS

  Key that represents the MAPI property `FLAG_STATUS`, which is the flag status.

  See Also:
    `Message.getFlagStatus()`, `Message.setFlagStatus(FlagStatus)`

### FLAG_TEXT

    public static final PropertyKey FLAG_TEXT

  Key that represents the MAPI property `FLAG_TEXT`, which is the flag text.

  See Also:
    `Message.getFlagText()`, `Message.setFlagText(String)`, `Message.setFlagText(FlagText)`

### FILE_AS

    public static final PropertyKey FILE_AS

  Key that represents the MAPI property `FILE_AS`, which is the file as.

### EMAIL1_DISPLAY_NAME

    public static final PropertyKey EMAIL1_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL1_DISPLAY_NAME`, which is the email1 display name.

### EMAIL1_ADDRESS

    public static final PropertyKey EMAIL1_ADDRESS

  Key that represents the MAPI property `EMAIL1_ADDRESS`, which is the email1 address.

### EMAIL1_ADDRESS_TYPE

    public static final PropertyKey EMAIL1_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL1_ADDRESS_TYPE`, which is the email1 address type.

### EMAIL2_DISPLAY_NAME

    public static final PropertyKey EMAIL2_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL2_DISPLAY_NAME`, which is the email2 display name.

### EMAIL2_ADDRESS

    public static final PropertyKey EMAIL2_ADDRESS

  Key that represents the MAPI property `EMAIL2_ADDRESS`, which is the email2 address.

### EMAIL2_ADDRESS_TYPE

    public static final PropertyKey EMAIL2_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL2_ADDRESS_TYPE`, which is the email2 address type.

### EMAIL3_DISPLAY_NAME

    public static final PropertyKey EMAIL3_DISPLAY_NAME

  Key that represents the MAPI property `EMAIL3_DISPLAY_NAME`, which is the email3 display name.

### EMAIL3_ADDRESS

    public static final PropertyKey EMAIL3_ADDRESS

  Key that represents the MAPI property `EMAIL3_ADDRESS`, which is the email3 address.

### EMAIL3_ADDRESS_TYPE

    public static final PropertyKey EMAIL3_ADDRESS_TYPE

  Key that represents the MAPI property `EMAIL3_ADDRESS_TYPE`, which is the email3 address type.

### HOME_ADDRESS

    public static final PropertyKey HOME_ADDRESS

  Key that represents the MAPI property `HOME_ADDRESS`, which is the home address.

### IM_ADDRESS

    public static final PropertyKey IM_ADDRESS

  Key that represents the MAPI property `IM_ADDRESS`, which is the IM address.

### SELECTED_MAILING_ADDRESS

    public static final PropertyKey SELECTED_MAILING_ADDRESS

  Key that represents the MAPI property `SELECTED_MAILING_ADDRESS`, which is the selected mailing address.

### BILLING_INFO

    public static final PropertyKey BILLING_INFO

  Key that represents the MAPI property `BILLING_INFO`, which is the billing info.

### MILEAGE

    public static final PropertyKey MILEAGE

  Key that represents the MAPI property `MILEAGE`, which is the mileage.

### INTERNET_FREE_BUSY_ADDRESS

    public static final PropertyKey INTERNET_FREE_BUSY_ADDRESS

  Key that represents the MAPI property `INTERNET_FREE_BUSY_ADDRESS`, which is the Internet free/busy address.

### USER_FIELD_1

    public static final PropertyKey USER_FIELD_1

  Key that represents the MAPI property `USER_FIELD_1`, which is the user field 1.

### USER_FIELD_2

    public static final PropertyKey USER_FIELD_2

  Key that represents the MAPI property `USER_FIELD_2`, which is the user field 2.

### USER_FIELD_3

    public static final PropertyKey USER_FIELD_3

  Key that represents the MAPI property `USER_FIELD_3`, which is the user field 3.

### USER_FIELD_4

    public static final PropertyKey USER_FIELD_4

  Key that represents the MAPI property `USER_FIELD_4`, which is the user field 4.

### TASK_START_DATE

    public static final PropertyKey TASK_START_DATE

  Key that represents the MAPI property `TASK_START_DATE`, which is the task start date.

### TASK_DUE_DATE

    public static final PropertyKey TASK_DUE_DATE

  Key that represents the MAPI property `TASK_DUE_DATE`, which is the task due date.

### TASK_DATE_COMPLETED

    public static final PropertyKey TASK_DATE_COMPLETED

  Key that represents the MAPI property `TASK_DATE_COMPLETED`, which is the task date completed.

### TASK_IS_RECURRING

    public static final PropertyKey TASK_IS_RECURRING

  Key that represents the MAPI property `TASK_IS_RECURRING`, which is a flag that indicates if a task is recurring or not.

### TASK_DURATION

    public static final PropertyKey TASK_DURATION

  Key that represents the MAPI property `TASK_DURATION`, which is the task duration.

### TASK_TOTAL_WORK

    public static final PropertyKey TASK_TOTAL_WORK

  Key that represents the MAPI property `TASK_TOTAL_WORK`, which is the task total work.

### TASK_ACTUAL_WORK

    public static final PropertyKey TASK_ACTUAL_WORK

  Key that represents the MAPI property `TASK_ACTUAL_WORK`, which is the task actual work.

### TASK_STATUS

    public static final PropertyKey TASK_STATUS

  Key that represents the MAPI property `TASK_STATUS`, which is the task status.

### TASK_PERCENT_COMPLETE

    public static final PropertyKey TASK_PERCENT_COMPLETE

  Key that represents the MAPI property `TASK_PERCENT_COMPLETE`, which is the task percent complete.

### TASK_COMPLETE

    public static final PropertyKey TASK_COMPLETE

  Key that represents the MAPI property `TASK_COMPLETE`, which is the task complete.

### TASK_REMINDER_SET

    public static final PropertyKey TASK_REMINDER_SET

  Key that represents the MAPI property `TASK_REMINDER_SET`, which is a boolean representing if the task has a reminder.

### TASK_REMINDER_DATE

    public static final PropertyKey TASK_REMINDER_DATE

  Key that represents the MAPI property `TASK_REMINDER_DATE`, which is a date representing the task reminder date.

### TASK_FLAG_DUE_BY

    public static final PropertyKey TASK_FLAG_DUE_BY

  Key that represents the MAPI property `TASK_FLAG_DUE_BY`, which is the date used by Microsoft Outlook to display reminders.

### TASK_RECURRENCE_PATTERN

    public static final PropertyKey TASK_RECURRENCE_PATTERN

  Key that represents the MAPI property `TASK_RECURRENCE_PATTERN`, which is the recurrence pattern for a task

### TASK_IS_TEAM_TASK

    public static final PropertyKey TASK_IS_TEAM_TASK

  Key that represents the MAPI property `TEAM_TASK`, which specifies if this task has been delegated to at least 2 recipients.

### COMMENT

    public static final PropertyKey COMMENT

  Key that represents the MAPI property `COMMENT`, which is a comment for an address entry.

### MHS_COMMON_NAME

    public static final PropertyKey MHS_COMMON_NAME

  Key that represents the MAPI property `MHS_COMMON_NAME`, which is the Exchange alias.

### EMS_AB_HOME_MTA

    public static final PropertyKey EMS_AB_HOME_MTA

  Key that represents the MAPI property `EMS_AB_HOME_MTA`, which is the home server of the user.

### EMS_AB_ASSOC_NT_ACCOUNT

    public static final PropertyKey EMS_AB_ASSOC_NT_ACCOUNT

  Key that represents the MAPI property `EMS_AB_ASSOC_NT_ACCOUNT`, which is the SID of the primary account for the mailbox.

### FOLDER_NAME

    public static final PropertyKey FOLDER_NAME

  Key that represents the Compoze property `Folder.Name`, which is the name of a folder.

  See Also:
    `Folder.getName()`, `Folder.setName(String)`

### FOLDER_ID

    public static final PropertyKey FOLDER_ID

  Key that represents the Compoze property `Folder.ID`, which is the ID of a folder.

  See Also:
    `Folder.getID()`

### FOLDER_FOLDERID

    public static final PropertyKey FOLDER_FOLDERID

  Key that represents the Compoze property `Folder.FolderID`, which is the ID of the parent folder.

  See Also:
    `Folder.serverGetParentFolder(PropertyKey[])`

### FOLDER_SUBFOLDER_COUNT

    public static final PropertyKey FOLDER_SUBFOLDER_COUNT

  Key that represents the Compoze property `Folder.SubFolderCount`, which is the count of subfolders on a folder.

  See Also:
    `Folder.getSubFolderCount()`, `Folder.hasSubFolders()`

### FOLDER_RELATIVE_DEPTH

    public static final PropertyKey FOLDER_RELATIVE_DEPTH

  Key that represents the Compoze property `Folder.RelativeDepth`, which is the relative depth of a folder to the starting point if the query that was made to retrieve it.

  See Also:
    `Folder.getRelativeDepth()`

### FOLDER_ABSOLUTE_NAME

    public static final PropertyKey FOLDER_ABSOLUTE_NAME

  Key that represents the Compoze property `Folder.AbsoluteName`, which is the absolute name of a folder (including its full path relative to the top of the information store).

  See Also:
    `Folder.getAbsoluteName()`

### FOLDER_MESSAGE_COUNT

    public static final PropertyKey FOLDER_MESSAGE_COUNT

  Key that represents the Compoze property `Folder.MessageCount`, which is the total number of messages in the folder.

  See Also:
    `Folder.getMessageCount()`

### FOLDER_MESSAGE_UNREAD_COUNT

    public static final PropertyKey FOLDER_MESSAGE_UNREAD_COUNT

  Key that represents the Compoze property `Folder.MessageUnreadCount`, which is the total number of unread messages in the folder.

  See Also:
    `Folder.getUnreadMessageCount()`

### MESSAGE_ATTACHMENT_COUNT

    public static final PropertyKey MESSAGE_ATTACHMENT_COUNT

  Key that represents the Compoze property `Message.AttachmentCount`, which is the number of attachments on the message.

  See Also:
    `Message.getAttachmentCount()`

### MESSAGE_ATTACHMENT_INFO

    public static final PropertyKey MESSAGE_ATTACHMENT_INFO

  Key that represents the Compoze property `Message.AttachmentInfo`, which contains detailed information about each of the attachments on a message.

  See Also:
    `Message.getAttachmentInfoArray()`, `Message.getAttachmentInfo(int)`

### MESSAGE_RECIPIENT_INFO

    public static final PropertyKey MESSAGE_RECIPIENT_INFO

  Key that represents the Compoze property `Message.RecipientInfo`, which contains information about each of the recipients on a message.

  See Also:
    `Message.getRecipientInfoArray()`, `Message.getRecipientInfo(int)`

### MESSAGE_RECIPIENT_INFO_OVERVIEW

    public static final PropertyKey MESSAGE_RECIPIENT_INFO_OVERVIEW

  Key that represents the Compoze property `Message.RecipientInfoOverview`, which contains information about each of the recipients on a message (only gets the recipient index, display name and recipient type).

  See Also:
    `Message.getRecipientInfoArray()`, `Message.getRecipientInfo(int)`

### MESSAGE_CATEGORIES

    public static final PropertyKey MESSAGE_CATEGORIES

  Key that represents the Compoze property `Message.Categories`, which contains the categories of a message.

  See Also:
    `Message.getCategories()`, `Message.setCategories(String[])`

### MESSAGE_CONVERSATION_INDEX

    public static final PropertyKey MESSAGE_CONVERSATION_INDEX

  Key that represents the Compoze property `Message.ConversationIndex`, which contains the conversation index of a message (an index into a conversation, which is a related group of messages).

  See Also:
    `Message.getConversationIndex()`, `Message.setConversationIndex(String)`

### MESSAGE_CONVERSATION_TOPIC

    public static final PropertyKey MESSAGE_CONVERSATION_TOPIC

  Key that represents the Compoze property `Message.ConversationTopic`, which contains the conversation topic of a message (a description of what conversation is going on).

  See Also:
    `Message.getConversationTopic()`, `Message.setConversationTopic(String)`

### MESSAGE_DELIVERY_RECEIPT

    public static final PropertyKey MESSAGE_DELIVERY_RECEIPT

  Key that represents the Compoze property `Message.DeliveryReceipt`, which is a flag that indicates if a delivery receipt is requested for a message. Whether or not a delivery receipt will actually be received after a message is sent is up to the mail server.

  See Also:
    `Message.getDeliveryReceipt()`, `Message.setDeliveryReceipt(boolean)`

### MESSAGE_ENCRYPTED

    public static final PropertyKey MESSAGE_ENCRYPTED

  Key that represents the Compoze property `Message.Encrypted`, which flags a message as encrypted.

  See Also:
    `Message.getEncrypted()`, `Message.setEncrypted(boolean)`

### MESSAGE_FOLDERID

    public static final PropertyKey MESSAGE_FOLDERID

  Key that represents the Compoze property `Message.FolderID`, which is the ID of the folder the message is in.

  See Also:
    `Message.getFolderID()`

### MESSAGE_FOLDER_NAME

    public static final PropertyKey MESSAGE_FOLDER_NAME

  Key that represents the Compoze property `Message.FolderName`, which is the name of the folder the message is in.

  See Also:
    `Message.getFolderName()`

### MESSAGE_ID

    public static final PropertyKey MESSAGE_ID

  Key that represents the Compoze property `Message.ID`, which is the ID of the message.

  See Also:
    `Message.getID()`

### MESSAGE_IMPORTANCE

    public static final PropertyKey MESSAGE_IMPORTANCE

  Key that represents the Compoze property `Message.Importance`, which is the importance of the message.

  See Also:
    `Message.getImportance()`, `Message.setImportance(Importance)`

### MESSAGE_IS_RECIPIENT

    public static final PropertyKey MESSAGE_IS_RECIPIENT

  Key that represents the Compoze property `Message.IsRecipient`, which is true if the current user is a recipient of the message.

  See Also:
    `Task.isCurrentUserRecipient()`

### MESSAGE_READ_RECEIPT

    public static final PropertyKey MESSAGE_READ_RECEIPT

  Key that represents the Compoze property `Message.ReadReceipt`, which is a flag that indicates if a read receipt is requested for a message. Whether or not a read receipt will actually be received after a message is sent is up to the mail server.

  See Also:
    `Message.getReadReceipt()`, `Message.setReadReceipt(boolean)`

### MESSAGE_SENSITIVITY

    public static final PropertyKey MESSAGE_SENSITIVITY

  Key that represents the Compoze property `Message.Sensitivity`, which is the sensitivity of the message.

  See Also:
    `Message.getSensitivity()`, `Message.setSensitivity(Sensitivity)`

### MESSAGE_SENT

    public static final PropertyKey MESSAGE_SENT

  Key that represents the Compoze property `Message.Sent`, which is a flag that indicates whether or not Exchange has actually sent the message (meaning that the spooler has finished sending the message to its destination server).

  See Also:
    `Message.getSent()`, `Message.setSent(boolean)`

### MESSAGE_SENDER

    public static final PropertyKey MESSAGE_SENDER

  Key that represents the Compoze property `Message.Sender`, which is the sender of the message.

  See Also:
    `Message.getSender()`

### MESSAGE_SENDER_ID

    public static final PropertyKey MESSAGE_SENDER_ID

  Key that represents the Compoze property `Message.SenderID`, which is the address entry id of the sender of a message.

  See Also:
    `Message.setSender(AddressEntry)`

### MESSAGE_SIGNED

    public static final PropertyKey MESSAGE_SIGNED

  Key that represents the Compoze property `Message.Signed`, which is a flag that indicates whether or not the message was digitally signed, or a signature is requested. Flagging a message as signed does not mean that it will actually be signed unless the underlying MAPI profile has been configured with digital signatures.

  See Also:
    `Message.getSigned()`, `Message.setSigned(boolean)`

### MESSAGE_SIZE

    public static final PropertyKey MESSAGE_SIZE

  Key that represents the Compoze property `Message.Size`, which is the approximate size of a message in bytes, including its body, headers and attachments. The `Message.Size` property is considerably larger than the size of `Message.Text`.

  See Also:
    `Message.getSize()`

### MESSAGE_STOREID

    public static final PropertyKey MESSAGE_STOREID

  Key that represents the Compoze property `Message.StoreID`, which is the ID of the store that the message is in.

  See Also:
    `Message.getStoreID()`

### MESSAGE_SUBJECT

    public static final PropertyKey MESSAGE_SUBJECT

  Key that represents the Compoze property `Message.Subject`, which is the subject of the message.

  See Also:
    `Message.getSubject()`, `Message.setSubject(String)`

### MESSAGE_NORMALIZED_SUBJECT

    public static final PropertyKey MESSAGE_NORMALIZED_SUBJECT

  Key that represents the MAPI property tag `0x0E1D001E`, which is the subject of the message.

  See Also:
    `Message.getSubject()`, `Message.setSubject(String)`

### MESSAGE_RTF

    public static final PropertyKey MESSAGE_RTF

  Key that represents the Compoze Property `Message.RTF`, which is the RTF body of the message.

### MESSAGE_HTML

    public static final PropertyKey MESSAGE_HTML

  Key that represents the Property tag for HTML contents on a message. This property is only useful when the Session connects to Exchange 2000 or above.

### MESSAGE_SUBMITTED

    public static final PropertyKey MESSAGE_SUBMITTED

  Key that represents the Compoze property `Message.Submitted`, which represents the submitted status of the message. This status has different meanings depending on whether the message is being created for sending or posting. For sending, Exchange sets the flag to true when `Send` is called on the message. For posting (for example, placing a message in a public folder), some viewers may not show the message until its `Submitted` property is `true`, which could indicate that a user has finished composing the post.

  See Also:
    `Message.getSubmitted()`, `Message.setSubmitted(boolean)`

### MESSAGE_TEXT

    public static final PropertyKey MESSAGE_TEXT

  Key that represents the Compoze property `Message.Text`, which is the plain text body of the message.

  See Also:
    `Message.getText()`, `Message.setText(String)`

### MESSAGE_TIME_CREATED

    public static final PropertyKey MESSAGE_TIME_CREATED

  Key that represents the Compoze property `Message.TimeCreated`, which is the time that the message was created.

  See Also:
    `Message.getTimeCreated()`

### MESSAGE_TIME_EXPIRED

    public static final PropertyKey MESSAGE_TIME_EXPIRED

  Key that represents the Compoze property `Message.TimeExpired`, which is the time that the message expires and may safely be deleted.

  See Also:
    `Message.getTimeExpired()`, `Message.setTimeExpired(Date)`

### MESSAGE_TIME_LAST_MODIFIED

    public static final PropertyKey MESSAGE_TIME_LAST_MODIFIED

  Key that represents the Compoze property `Message.TimeLastModified`, which is the time that the message was last modified.

  See Also:
    `Message.getTimeLastModified()`

### MESSAGE_TIME_RECEIVED

    public static final PropertyKey MESSAGE_TIME_RECEIVED

  Key that represents the Compoze property `Message.TimeReceived`, which is the time that the message was received.

  See Also:
    `Message.getTimeReceived()`, `Message.setTimeReceived(Date)`

### MESSAGE_TIME_SENT

    public static final PropertyKey MESSAGE_TIME_SENT

  Key that represents the Compoze property `Message.TimeSent`, which is the time that the message was sent by Exchange.

  See Also:
    `Message.getTimeSent()`, `Message.setTimeSent(Date)`

### MESSAGE_TYPE

    public static final PropertyKey MESSAGE_TYPE

  Key that represents the Compoze property `Message.Type`, which is the type of the message (for example, `IPM.Note`, `IPM.Appointment` or `IPM.Schedule.Meeting.Request`). The `MessageType` class abstracts these Exchange strings away from the programmer.

  See Also:
    `MessageType`, `Message.getMessageType()`, `Message.setMessageType(MessageType)`

### MESSAGE_UNREAD

    public static final PropertyKey MESSAGE_UNREAD

  Key that represents the Compoze property `Message.Unread`, which flags if a message has not been read.

  See Also:
    `Message.getUnread()`, `Message.setUnread(boolean)`

### MESSAGE_ACTION_CODE

    public static final PropertyKey MESSAGE_ACTION_CODE

  Key that represents the MAPI property `ACTION_CODE`, which determines the action taken on a message (reply, forward).

  See Also:
    `Message.getActionStatus()`, `ActionStatus`

### MESSAGE_ACTION_FLAG

    public static final PropertyKey MESSAGE_ACTION_FLAG

  Key that represents the MAPI property `ACTION_FLAG`, which determines the specific action taken on a message (reply, reply all, forward).

  See Also:
    `Message.getActionStatus()`, `ActionStatus`

### MESSAGE_ACTION_DATE

    public static final PropertyKey MESSAGE_ACTION_DATE

  Key that represents the MAPI property `ACTION_DATE`, which determines when a specific action was taken (reply, reply all, forward).

  See Also:
    `Message.getActionStatus()`, `ActionStatus`

### MESSAGE_DISPLAY_TO

    public static final PropertyKey MESSAGE_DISPLAY_TO

  Key that represents the 'display to' for a message.

### MESSAGE_DISPLAY_CC

    public static final PropertyKey MESSAGE_DISPLAY_CC

  Key that represents the 'display cc' for a message.

### MESSAGE_DISPLAY_BCC

    public static final PropertyKey MESSAGE_DISPLAY_BCC

  Key that represents the 'display bcc' for a message.

### APPOINTMENT_ALL_DAY_EVENT

    public static final PropertyKey APPOINTMENT_ALL_DAY_EVENT

  Key that represents the Compoze property `Appointment.AllDayEvent`, which flags an appointment as lasting all day.

  See Also:
    `Appointment.isAllDayEvent()`, `Appointment.setAllDayEvent(boolean)`

### APPOINTMENT_BUSY_STATUS

    public static final PropertyKey APPOINTMENT_BUSY_STATUS

  Key that represents the Compoze property `Appointment.BusyStatus`, which is the busy status of the user for the appointment (free, tentative, busy or out of office).

  See Also:
    `Appointment.getBusyStatus()`, `Appointment.setBusyStatus(BusyStatus)`

### APPOINTMENT_DURATION

    public static final PropertyKey APPOINTMENT_DURATION

  Key that represents the Compoze property `Appointment.Duration`, which is the duration for the appointment.

  See Also:
    `Appointment.getDuration()`

### APPOINTMENT_END_TIME

    public static final PropertyKey APPOINTMENT_END_TIME

  Key that represents the Compoze property `Appointment.EndTime`, which is the time that the appointment ends.

  See Also:
    `Appointment.getEndTime()`, `Appointment.setDates(Date,Date)`

### APPOINTMENT_IS_RECURRING

    public static final PropertyKey APPOINTMENT_IS_RECURRING

  Key that represents the Compoze property `Appointment.IsRecurring`, which is a flag that indicates whether or not an appointment recurs.

  See Also:
    `Appointment.isRecurring()`

### APPOINTMENT_LOCATION

    public static final PropertyKey APPOINTMENT_LOCATION

  Key that represents the Compoze property `Appointment.Location`, which is the physical location where the appointment occurs.

  See Also:
    `Appointment.getLocation()`, `Appointment.setLocation(String)`

### APPOINTMENT_MEETING_RESPONSE_STATUS

    public static final PropertyKey APPOINTMENT_MEETING_RESPONSE_STATUS

  Key that represents the Compoze property `Appointment.MeetingResponseStatus`, which is the response of the user to the meeting request.

  See Also:
    `Appointment.getMeetingResponseStatus()`, `Appointment.setMeetingResponseStatus(MeetingResponseStatus)`

### APPOINTMENT_MEETING_STATUS

    public static final PropertyKey APPOINTMENT_MEETING_STATUS

  Key that represents the Compoze property `Appointment.MeetingStatus`, which is the overall meeting status of the appointment.

  See Also:
    `Appointment.getMeetingStatus()`, `Appointment.setMeetingStatus(MeetingStatus)`

### APPOINTMENT_ORGANIZER

    public static final PropertyKey APPOINTMENT_ORGANIZER

  Key that represents the Compoze property `Appointment.Organizer`, which is the organizer for the appointment (the user that initiated a meeting from the appointment).

### APPOINTMENT_RECURRENCE_PATTERN

    public static final PropertyKey APPOINTMENT_RECURRENCE_PATTERN

  Key that represents the Compoze property `Appointment.RecurrencePattern`, which is the recurrence parameters for the appointment.

  See Also:
    `Appointment.getRecurrencePattern()`, `Appointment.setRecurrencePattern(RecurrencePattern)`

### APPOINTMENT_REMINDER_MINUTES_BEFORE_START

    public static final PropertyKey APPOINTMENT_REMINDER_MINUTES_BEFORE_START

  Key that represents the Compoze property `Appointment.ReminderMinutesBeforeStart`, which is the number of minutes before the start of the appointment to flag a reminder.

  See Also:
    `Appointment.getReminderMinutesBeforeStart()`, `Appointment.setReminderMinutesBeforeStart(int)`

### APPOINTMENT_REMINDER_SET

    public static final PropertyKey APPOINTMENT_REMINDER_SET

  Key that represents the Compoze property `Appointment.ReminderSet`, which flags if a reminder is set on the appointment.

  See Also:
    `Appointment.isReminderSet()`, `Appointment.setReminderSet(boolean)`

### APPOINTMENT_REPLY_TIME

    public static final PropertyKey APPOINTMENT_REPLY_TIME

  Key that represents the Compoze property `Appointment.ReplyTime`, which is the date and time that the recipient replied to the meeting request associated with the appointment.

  See Also:
    `Appointment.getReplyTime()`, `Appointment.setReplyTime(Date)`

### APPOINTMENT_RESPONSE_REQUESTED

    public static final PropertyKey APPOINTMENT_RESPONSE_REQUESTED

  Key that represents the Compoze property `Appointment.ResponseRequested`, which flags whether or not a response is requested for a meeting request that is created for the appointment.

  See Also:
    `Appointment.isResponseRequested()`, `Appointment.setResponseRequested(boolean)`

### APPOINTMENT_START_TIME

    public static final PropertyKey APPOINTMENT_START_TIME

  Key that represents the Compoze property `Appointment.StartTime`, which is the date and time that the appointment starts.

  See Also:
    `Appointment.getStartTime()`, `Appointment.setDates(Date,Date)`

### APPOINTMENT_SERIES_ID

    public static final PropertyKey APPOINTMENT_SERIES_ID

  Key that represents the Compoze property `Appointment.SeriesID`, which is the ID of the series (read-only).

  See Also:
    `Appointment.getSeriesID()`

### APPOINTMENT_IS_ORGANIZER

    public static final PropertyKey APPOINTMENT_IS_ORGANIZER

  Key that represents the Compoze property `Appointment.IsOrganizer`, which is true if the current user is the organizer of the appointment.

  See Also:
    `Appointment.isOrganizer()`

### APPOINTMENT_IS_SPANNING

    public static final PropertyKey APPOINTMENT_IS_SPANNING

  Key that represents the Compoze property `Appointment.IsSpanning`, which flags an appointment as lasting all day.

  See Also:
    `Appointment.isSpanning()`

### ADDRESS_ENTRY_ADDRESS

    public static final PropertyKey ADDRESS_ENTRY_ADDRESS

  Key that represents the Compoze property `AddressEntry.Address`, which is the email address of the address entry.

  See Also:
    `AddressEntry.getAddress()`

### ADDRESS_ENTRY_DISPLAY_NAME

    public static final PropertyKey ADDRESS_ENTRY_DISPLAY_NAME

  Key that represents the Compoze property `AddressEntry.DisplayName`, which is the display name of the address entry.

  See Also:
    `AddressEntry.getDisplayName()`

### ADDRESS_ENTRY_DISPLAY_TYPE

    public static final PropertyKey ADDRESS_ENTRY_DISPLAY_TYPE

  Key that represents the Compoze property `AddressEntry.DisplayType`, which is the display type of the address entry.

  See Also:
    `AddressEntry.getDisplayType()`

### ADDRESS_ENTRY_FREE_BUSY

    public static final PropertyKey ADDRESS_ENTRY_FREE_BUSY

  Key that represents the Compoze property `AddressEntry.FreeBusy`, which is the free/busy information for a user.

  See Also:
    `AddressEntry.getFreeBusy()`

### ADDRESS_ENTRY_ID

    public static final PropertyKey ADDRESS_ENTRY_ID

  Key that represents the Compoze property `AddressEntry.ID`, which is the ID of the address entry.

  See Also:
    `AddressEntry.getFreeBusy()`

### ADDRESS_ENTRY_SMTP_EMAIL_ADDRESS

    public static final PropertyKey ADDRESS_ENTRY_SMTP_EMAIL_ADDRESS

  Key that represents the Compoze property `AddressEntry.SmtpEmailAddress`, which is the email address of the address entry.

  See Also:
    `AddressEntry.getSmtpEmailAddress()`

### ADDRESS_ENTRY_TYPE

    public static final PropertyKey ADDRESS_ENTRY_TYPE

  Key that represents the Compoze property `AddressEntry.Type`, which is the type of the address entry.

  See Also:
    `AddressEntry.getSmtpEmailAddress()`

### ADDRESS_ENTRY_PRIMARY_ACCOUNT

    public static final PropertyKey ADDRESS_ENTRY_PRIMARY_ACCOUNT

  Key that represents the Compoze property `AddressEntry.PrimaryAccount`, which is the primary account of the address entry (in the form `DOMAIN\Username`).

  See Also:
    `AddressEntry.getPrimaryAccount()`

### ADDRESS_ENTRY_PRIMARY_ACCOUNT_SID

    public static final PropertyKey ADDRESS_ENTRY_PRIMARY_ACCOUNT_SID

  Key that represents the Compoze property `AddressEntry.PrimaryAccountSid`, which is the primary account SID of the address entry.

  See Also:
    `AddressEntry.getPrimaryAccount()`

### ADDRESS_ENTRY_MEMBERS

    public static final PropertyKey ADDRESS_ENTRY_MEMBERS

  Key that represents the Compoze property `AddressEntry.Members`, which is the list of members for a distribution list.

  See Also:
    `AddressEntry.getMembers()`

### ADDRESS_ENTRY_MANAGER_NAME

    public static final PropertyKey ADDRESS_ENTRY_MANAGER_NAME

  Key that represents the Compoze property `AddressEntry.Manager`, which is the display name of the manager for this address entry.

  See Also:
    `AddressEntry.getManagerName()`

### ADDRESS_ENTRY_MANAGER

    public static final PropertyKey ADDRESS_ENTRY_MANAGER

  Key that represents the Compoze property `AddressEntry.Manager`, which is the manager for this address entry.

  See Also:
    `AddressEntry.getManager(PropertyKey[])`

### ADDRESS_ENTRY_FILTER_ADDRESS

    public static final PropertyKey ADDRESS_ENTRY_FILTER_ADDRESS

  Key that represents the Compoze property `AddressEntryFilter.Address`, which filters by the address property.

### ADDRESS_ENTRY_FILTER_SMTP_EMAIL_ADDRESS

    public static final PropertyKey ADDRESS_ENTRY_FILTER_SMTP_EMAIL_ADDRESS

  Key that represents the Compoze property `AddressEntryFilter.SmtpEmailAddress`, which filters by the SMTP email address property.

### ADDRESS_ENTRY_FILTER_DISPLAY_NAME

    public static final PropertyKey ADDRESS_ENTRY_FILTER_DISPLAY_NAME

  Key that represents the Compoze property `AddressEntryFilter.DisplayName`, which filters by the display name property.

### ADDRESS_ENTRY_FILTER_PRIMARY_ACCOUNT

    public static final PropertyKey ADDRESS_ENTRY_FILTER_PRIMARY_ACCOUNT

  Key that represents the Compoze property `AddressEntryFilter.PrimaryAccount`, which filters by the primary account property (in the form domain\\username).

### SERVICE_ATTACHMENT_DIRECTORY

    public static final PropertyKey SERVICE_ATTACHMENT_DIRECTORY

  Key that represents the Compoze Property `Service.AttachmentDirectory`. This proeprty only applies when the protocol is SOAP.

### SERVICE_CLIENT_VERSION_CHECK

    public static final PropertyKey SERVICE_CLIENT_VERSION_CHECK

  Key that represents the Compoze Property `Service.ClientVersionCheck`. This property only applies when the protocol is SOAP.

### SERVICE_GAL_DOMAIN

    public static final PropertyKey SERVICE_GAL_DOMAIN

  Key that represents the Compoze Property `Service.GalDomain`. This property only applies when the protocol is SOAP.

### SERVICE_GAL_MAILBOX

    public static final PropertyKey SERVICE_GAL_MAILBOX

  Key that represents the Compoze Property `Service.GalMailbox`. This property only applies when the protocol is SOAP.

### SERVICE_GAL_PASSWORD

    public static final PropertyKey SERVICE_GAL_PASSWORD

  Key that represents the Compoze Property `Service.GalPassword`. This property only applies when the protocol is SOAP.

### SERVICE_GAL_SERVER

    public static final PropertyKey SERVICE_GAL_SERVER

  Key that represents the Compoze Property `Service.GalServer`. This property only applies when the protocol is SOAP.

### SERVICE_GAL_USERNAME

    public static final PropertyKey SERVICE_GAL_USERNAME

  Key that represents the Compoze Property `Service.GalUsername`. This property only applies when the protocol is SOAP.

### SERVICE_LOG_COM_ERRORS

    public static final PropertyKey SERVICE_LOG_COM_ERRORS

  Key that represents the Compoze Property `Service.LogComErrors`. This property only applies when the protocol is SOAP.

### SERVICE_LOG_LEVEL

    public static final PropertyKey SERVICE_LOG_LEVEL

  Key that represents the Compoze Property `Service.LogLevel`. This property only applies when the protocol is SOAP.

### SERVICE_LOGON_TYPE

    public static final PropertyKey SERVICE_LOGON_TYPE

  Key that represents the Compoze Property `Service.LogonType`. This property only applies when the protocol is SOAP.

### SERVICE_PROFILING_ENABLED

    public static final PropertyKey SERVICE_PROFILING_ENABLED

  Key that represents the Compoze Property `Service.ProfilingEnabled`. This property only applies when the protocol is SOAP.

### SERVICE_SESSION_TIMEOUT_SECS

    public static final PropertyKey SERVICE_SESSION_TIMEOUT_SECS

  Key that represents the Compoze Property `Service.SessionTimeoutSecs`. This property only applies when the protocol is SOAP.

### SERVICE_SOAP_MAX_POST_SIZE

    public static final PropertyKey SERVICE_SOAP_MAX_POST_SIZE

  Key that represents the Compoze Property `Service.SoapMaxPostSize`. This property only applies when the protocol is SOAP.

### SERVICE_SOAP_NO_NAGLING

    public static final PropertyKey SERVICE_SOAP_NO_NAGLING

  Key that represents the Compoze Property `Service.SoapNoNagling`. This property only applies when the protocol is SOAP.

### SERVICE_SOAP_NUM_THREADS

    public static final PropertyKey SERVICE_SOAP_NUM_THREADS

  Key that represents the Compoze Property `Service.SoapNumThreads`. This property only applies when the protocol is SOAP.

### SERVICE_SOAP_OBJ_CACHED_PER_THREAD

    public static final PropertyKey SERVICE_SOAP_OBJ_CACHED_PER_THREAD

  Key that represents the Compoze Property `Service.SoapObjCachedPerThread`. This property only applies when the protocol is SOAP.

### SERVICE_TERMINATE_HOURS

    public static final PropertyKey SERVICE_TERMINATE_HOURS

  Key that represents the Compoze Property `Service.TerminateHours`. This property only applies when the protocol is SOAP.

### SERVICE_TERMINATE_MAX_SESSIONS

    public static final PropertyKey SERVICE_TERMINATE_MAX_SESSIONS

  Key that represents the Compoze Property `Service.TerminateMaxSessions`. This property only applies when the protocol is SOAP.

### SERVICE_LICENSEE

    public static final PropertyKey SERVICE_LICENSEE

  Key that represents the Compoze Property `Service.Licensee`. This property only applies when the protocol is SOAP.

### SERVICE_PRODUCTION_KEY

    public static final PropertyKey SERVICE_PRODUCTION_KEY

  Key that represents the Compoze Property `Service.ProductionKey`. This property only applies when the protocol is SOAP.

### SERVICE_DEFAULT_FOLDER_MASK

    public static final PropertyKey SERVICE_DEFAULT_FOLDER_MASK

  Key that represents the Compoze Property `Service.DefaultFolderMask`. This property only applies when the protocol is SOAP.

### SESSION_OPTION_BUSINESS_DAY_END_TIME

    public static final PropertyKey SESSION_OPTION_BUSINESS_DAY_END_TIME

  Key that represents the Compoze Property `SessionOption.BusinessDayEndTime`, which is the end of the business day for the user.

### SESSION_OPTION_BUSINESS_DAY_START_TIME

    public static final PropertyKey SESSION_OPTION_BUSINESS_DAY_START_TIME

  Key that represents the Compoze Property `SessionOption.BusinessDayStartTime`, which is the start of the business day for the user.

### SESSION_OPTION_CALENDAR_STORE

    public static final PropertyKey SESSION_OPTION_CALENDAR_STORE

  Key that represents the Compoze Property `SessionOption.CalendarStore`, which is the current calendar store, typically Outlook.

### SESSION_OPTION_FIRST_DAY_OF_WEEK

    public static final PropertyKey SESSION_OPTION_FIRST_DAY_OF_WEEK

  Key that represents the Compoze Property `SessionOption.FirstDayOfWeek`, which is the first day of the week for the user, typically Sunday.

### SESSION_OPTION_EXCHANGE55

    public static final PropertyKey SESSION_OPTION_EXCHANGE55

  Key that represents the Compoze Property `SessionOption.Exchange55`, which is a boolean value indicating if the Exchange server is Exchange 5.5.

### SESSION_OPTION_IS_24_HOUR_CLOCK

    public static final PropertyKey SESSION_OPTION_IS_24_HOUR_CLOCK

  Key that represents the Compoze Property `SessionOption.Is24HourClock`, which sets whether or not the 24 hour clock should be used.

### SESSION_OPTION_TIME_ZONE

    public static final PropertyKey SESSION_OPTION_TIME_ZONE

  Key that represents the Compoze Property `SessionOption.TimeZone`, which sets the time zone of the session.

### SESSION_OPTION_WORKING_DAYS

    public static final PropertyKey SESSION_OPTION_WORKING_DAYS

  Key that represents the Compoze Property `SessionOption.WorkingDays`, which sets the days of the week that are designated as working days for the user. The `DaysOfWeek` class can generate values that are compatible with this setting.

### ATTACHMENT_INDEX

    public static final PropertyKey ATTACHMENT_INDEX

  Key that represents the Compoze Property `Attachment.Index`, which is the index of the attachment.

  See Also:
    `Attachment.getIndex()`

### ATTACHMENT_NAME

    public static final PropertyKey ATTACHMENT_NAME

  Key that represents the Compoze Property `Attachment.Name`, which is the name of the attachment.

  See Also:
    `Attachment.getName()`

### ATTACHMENT_POSITION

    public static final PropertyKey ATTACHMENT_POSITION

  Key that represents the Compoze Property `Attachment.Position`, which is the position of the attachment in the message.

  See Also:
    `Attachment.getPosition()`

### ATTACHMENT_TYPE

    public static final PropertyKey ATTACHMENT_TYPE

  Key that represents the Compoze Property `Attachment.Type`, which is the type of attachment.

  See Also:
    `Attachment.getType()`, `AttachmentType`

### ATTACHMENT_EXTENSION

    public static final PropertyKey ATTACHMENT_EXTENSION

  Key that represents the MAPI property `PR_ATTACH_EXTENSION`, which is the extension of the attachment.

  See Also:
    `Attachment.getExtension()`

### ATTACHMENT_LONG_FILENAME

    public static final PropertyKey ATTACHMENT_LONG_FILENAME

  Key that reprepsents the MAPI property `PR_ATTACH_LONG_FILENAME`, which is the long name of the attachment.

  See Also:
    `Attachment.getLongName()`

### ATTACHMENT_SIZE

    public static final PropertyKey ATTACHMENT_SIZE

  Key that represents the MAPI property `PR_ATTACH_SIZE`, which is the actual size in bytes of the attachment.

  See Also:
    `Attachment.getSize()`

### ATTACHMENT_CREATION_TIME

    public static final PropertyKey ATTACHMENT_CREATION_TIME

  Key that represents the MAPI property `PR_CREATION_TIME`, which is the date the attachment was created.

  See Also:
    `Attachment.getDateCreated()`

### ATTACHMENT_DISPLAY_NAME

    public static final PropertyKey ATTACHMENT_DISPLAY_NAME

  Key that represents the MAPI property `PR_DISPLAY_NAME`, which is the display name of the attachment. This may not be the same as the actual file name.

  See Also:
    `Attachment.getDisplayName()`

### ATTACHMENT_CONTENT_ID

    public static final PropertyKey ATTACHMENT_CONTENT_ID

  Key that represents the MAPI property `PR_ATTACH_CONTENT_ID`, which is content id specifically for inline attachments.

  See Also:
    `Attachment.getContentID()`

### ATTACHMENT_MIME_TAG

    public static final PropertyKey ATTACHMENT_MIME_TAG

  Key that represents the MAPI property `PR_ATTACH_MIME_TAG`, which is a MIME content type for an inline attachment.

  See Also:
    `Attachment.getMimeTag()`

### ATTACHMENT_RENDERING_POSITION

    public static final PropertyKey ATTACHMENT_RENDERING_POSITION

  Key that represents the MAPI property `PR_RENDERING_POSITION`, which is an RTF inline rendering index.

  See Also:
    `Attachment.getRenderingPosition()`

Constructor Detail

### PropertyKey

    protected PropertyKey(java.lang.String sKey,
                          int iValueType,
                          int iKeyType,
                          java.lang.Class classValue)

  Constructor.

Parameters:
  `sKey` - the key
  `iValueType` - the value type (one of the `VALUE_` constants)
  `iKeyType` - the key type (one of the `KEY_` constants)

Method Detail

### setKey

    protected void setKey(java.lang.String sKey)

  Sets the key of the property.

  Parameters:
    `sKey` - the key

### getKey

    public java.lang.String getKey()

  Gets the key of the property.

  Returns:
    the key

### getValueType

    public int getValueType()

  Gets the type of a value for the property.

  Returns:
    the value type (one of the `VALUE_` constants)

### getKeyType

    public int getKeyType()

  Gets the type of a key for the property.

  Returns:
    the key type (one of the `KEY_` constants)

### isArray

    public boolean isArray()

  Returns true if the value type of the property is an array.

  Returns:
    true if the value of the property is an array

### hashCode

    public int hashCode()

  Gets a hash code for the key.

  Returns:
    a hash code of the key string

### equals

    public boolean equals(java.lang.Object o)

  Equals.

  Returns:
    true if the keys are equal

### toString

    public java.lang.String toString()

  Creates a string representation of the key.

  Returns:
    the key

### getList

    public static java.util.List getList()

  Return the list of property keys

  Returns:
    the list of keys

### getValueClass

    public java.lang.Class getValueClass()

  Return the list of property keys

  Returns:
    the Class associated with setting this key's value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.